# List of available events

<details>

<summary>Too lazy to scroll? Click me, haha!</summary>

### [Message events](#message)

### [Channel events](#channel)

### [Forum Topic events](#forum-topic)

### [Guild events](#guild)

### [Docs events](#docs)

### [Calendar events](#calendar)

### [List events](#list)

### [Webhook events](#webhook)

</details>

## Message

### messageCreate

Fired when a message is created.

### messageUpdate

Fired when a message is updated/edited.

### messageDelete

Fired when a message is deleted.

### messageReactionAdd

Fired when a reaction is added to a message.

### messageReactionRemove

Fired when a reaction is removed from a message.

## Channel

### channelCreate

Fired when a channel is created.

### channelUpdate

Fired when when a channel is updated.

### channelDelete

Fired when a channel is deleted.

## Forum Topic

### forumTopicCreate

Fired when a Forum topic is created.

### forumTopicUpdate

Fired when a Forum topic is updated/edited.

### forumTopicDelete

Fired when a Forum topic is deleted.

### forumTopicPin

Fired when a Forum topic is pinned.

### forumTopicUnpin

Fired when a Forum topic is unpinned.

### forumTopicReactionAdd

Fired when a reaction is added to a forum topic.

### forumTopicReactionRemove

Fired when a reaction is removed from a forum topic.

### forumTopicCommentCreate

Fired when a comment is added to a forum topic.

### forumTopicCommentUpdate

Fired when a forum topic comment has been updated.

### forumTopicCommentDelete

Fired when a forum topic comment has been deleted.

## Guild

### guildCreate

Fired when the bot joins a guild.

### guildBanAdd

Fired when a guild member is banned.

### guildBanRemove

Fired when a guild member is unbanned.

### guildMemberAdd

Fired when a user join a guild.

### guildMemberRemove

Fired when a guild member leave a guild.

### guildMemberUpdate

Fired when the member profile (ex: guild nickname) is updated.

### guildMemberRoleUpdate

Fired when a role has been added/removed from a member.

## Docs

### docCreate

Fired when a doc is created inside a docs channel.

### docUpdate

Fired when a doc is edited/updated inside a docs channel.

### docDelete

Fired when a doc is deleted inside a docs channel.

## Calendar

### calendarEventCreate

Fired when an event is created inside a calendar channel.

### calendarEventUpdate

Fired when an event is updated/edited inside a calendar channel.

### calendarEventDelete

Fired when an event is deleted inside a calendar channel.

### calendarEventRsvpUpdate

Fired when an event RSVP has been updated/edited.

### calendarEventRsvpDelete

Fired when a calendar event rsvp is deleted.

## List

### listItemCreate

Fired when an item has been created inside a list channel.

### listItemUpdate

Fired when an item has been updated/edited inside a list channel.

### listItemDelete

Fired when an item has been deleted inside a list channel.

### listItemComplete

Fired when an item has been completed (checkmark, ya know) inside a list channel.

### listItemUncomplete

Fired when an item has been uncompleted inside a list channel.

## Webhook

### webhooksCreate

Fired when a webhook has been created.

### webhooksUpdate

Fired when a webhook has been updated/edited.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.7/list-of-available-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
